ResolveS3Credential
Resolve an access key to its secret + grants. Unknown or revoked keys return NotFound. Callers must re-resolve at least every 60 seconds so revocation and rotation propagate.
AuthorizationBearer <token>
JWT access token obtained via OAuth2 flow or service account
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
accessKeyId?string
Length
1 <= length <= 128[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.InternalS3CredentialsService/ResolveS3Credential" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"credentialId": "string",
"secretAccessKey": "string",
"userId": 0,
"userProviderId": "string",
"disabled": true,
"grants": [
{
"bucketId": 0,
"level": "BUCKET_PERMISSION_LEVEL_UNSPECIFIED"
}
],
"ownerType": "string",
"ownerTeam": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}